#include "mol.h"
#include "parsmart.h"
#include <unistd.h>

#ifndef Py_OBGREP_MODULE_H
#define Py_OBGREP_MODULE_H

#ifdef __cplusplus
extern "C" {
#endif



#ifdef OBGREP_MODULE

PyObject *wrap_loadDB(PyObject *);
PyObject *wrap_match(PyObject *, PyObject *);
PyObject *wrap_getMatching(PyObject *, PyObject *);
PyObject *wrap_getMatchingMode(PyObject *, PyObject *, PyObject *,PyObject *);
PyObject *wrap_getNumEntries(PyObject *);
PyObject *wrap_getEntryString(PyObject *);
PyObject *wrap_printEntry(PyObject *);
PyObject *wrap_printDB(PyObject *);
PyObject *wrap_setCurrentMatchSet(PyObject *, PyObject *);
PyObject *wrap_getCurrentMatchSet(PyObject *);

#endif

#ifdef __cplusplus
}
#endif

#endif
