#include "mol.h"
#include "parsmart.h"
#include <unistd.h>
#include <vector>
#include <algorithm>
#include <sstream>
#include <string>

#define MATCH_FULL       1
#define MATCH_IN_SET     2
#define MATCH_NOT_IN_SET 3


int loadDB(char *);
void printDB(int);
void testItegrity(int);
void printEntry(int, int);
int match(int, char *);
int matchMode(int, char *, int, int);
int getNumEntries(int);
std::string getEntryString(int, int);
std::vector<int> getMatching(int, char *, int, int);
int* getMatchingMode(int, char *, int, int);
void setCurrentMatchSet(int , int*);
void setCurrentMatchSetSize(int , int);
int* getCurrentMatchSet(int);
int  getCurrentMatchSetSize(int);
int  getSizeLastMatch();




